""" Geometric shapes and operations on them
"""

from ._base import (
    Coordinate,
    BoundingBox,
    InvalidCRSError,
    CRS,
    Geometry,
    GeoBox,
    scaled_down_geobox,
    point,
    multipoint,
    line,
    multiline,
    polygon,
    multipolygon,
    box,
    polygon_from_transform,
    unary_union,
    unary_intersection,
)

from .tools import (
    roi_boundary,
    roi_is_empty,
    roi_intersect,
    roi_shape,
    roi_normalise,
    roi_from_points,
    roi_center,
    scaled_down_shape,
    scaled_down_roi,
    scaled_up_roi,
    decompose_rws,
    affine_from_pts,
    get_scale_at_point,
    native_pix_transform,
    compute_reproject_roi,
)

__all__ = [
    "Coordinate",
    "BoundingBox",
    "InvalidCRSError",
    "CRS",
    "Geometry",
    "GeoBox",
    "point",
    "multipoint",
    "line",
    "multiline",
    "polygon",
    "multipolygon",
    "box",
    "polygon_from_transform",
    "unary_union",
    "unary_intersection",
    "roi_boundary",
    "roi_is_empty",
    "roi_intersect",
    "roi_shape",
    "roi_normalise",
    "roi_from_points",
    "roi_center",
    "scaled_down_geobox",
    "scaled_down_shape",
    "scaled_down_roi",
    "scaled_up_roi",
    "decompose_rws",
    "affine_from_pts",
    "get_scale_at_point",
    "native_pix_transform",
    "compute_reproject_roi",
]
